// Produto.h : Declaration of the CProduto

#ifndef __PRODUTO_H_
#define __PRODUTO_H_

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CProduto
class ATL_NO_VTABLE CProduto : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CProduto, &CLSID_Produto>,
	public ISupportErrorInfo,
	public IDispatchImpl<IProduto, &IID_IProduto, &LIBID_EXER3_COMLib>
{
public:
	CProduto()
	{
	}

DECLARE_REGISTRY_RESOURCEID(IDR_PRODUTO)

DECLARE_PROTECT_FINAL_CONSTRUCT()

BEGIN_COM_MAP(CProduto)
	COM_INTERFACE_ENTRY(IProduto)
	COM_INTERFACE_ENTRY(IDispatch)
	COM_INTERFACE_ENTRY(ISupportErrorInfo)
END_COM_MAP()

// ISupportsErrorInfo
	STDMETHOD(InterfaceSupportsErrorInfo)(REFIID riid);

// IProduto
public:
	STDMETHOD(TemStockSuficiente)(/*[in]*/ BSTR strConn, /*[in]*/ LONG lCodProd, /*[in]*/ LONG lStock,/*[out]*/ VARIANT_BOOL * bExisteProduto, /*[out]*/ VARIANT_BOOL * bTemStock);
};

#endif //__PRODUTO_H_
