// Produto.cpp : Implementation of CProduto
#include "stdafx.h"
#include "Exer3_COM.h"
#include "Produto.h"

/////////////////////////////////////////////////////////////////////////////
// CProduto

STDMETHODIMP CProduto::InterfaceSupportsErrorInfo(REFIID riid)
{
	static const IID* arr[] = 
	{
		&IID_IProduto
	};
	for (int i=0; i < sizeof(arr) / sizeof(arr[0]); i++)
	{
		if (InlineIsEqualGUID(*arr[i],riid))
			return S_OK;
	}
	return S_FALSE;
}

STDMETHODIMP CProduto::TemStockSuficiente(BSTR strConn, LONG lCodProd, LONG lStock, VARIANT_BOOL *bExisteProduto, VARIANT_BOOL *bTemStock)
{
	AFX_MANAGE_STATE(AfxGetStaticModuleState())

	*bExisteProduto	= VARIANT_TRUE;
	*bTemStock		= VARIANT_TRUE;
	CDatabase db;
	CDBVariant varQt;
	char strQuery[256];
	CRecordset rs;

    try
    {
		if( ! db.OpenEx( (char*)_bstr_t(strConn) ) ) // com utilizao de connection string
			return E_FAIL;

		rs.m_pDatabase = &db;

		sprintf(strQuery,"SELECT quantidadestock FROM PRODUTOS WHERE produtoid=%ld",lCodProd);

		if( ! rs.Open( CRecordset::snapshot , strQuery ) ) 
		{
			db.Close();
			return E_FAIL;
		}
			
		// se no encontrou o registo retorna e avisa
		if( rs.GetRecordCount() == 0 )

			*bExisteProduto	= VARIANT_FALSE;
		
		else{
		
			// obter o valor do campo
			rs.GetFieldValue("quantidadestock",varQt);

			// verificar se possui stock suficiente
			if( varQt.m_lVal < lStock )
				*bTemStock = VARIANT_FALSE;	
		}

    }
    catch( CDBException* e )
    {
		return E_FAIL;
    }
    

	// fechar os objectos
	if( rs.IsOpen() ) rs.Close();
	db.Close();

	return S_OK;
}
